Bug 1461931 - Message from kernel about debug system calls in non-debug kernel
Summary: Message from kernel about debug system calls in non-debug kernel
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-15 16:02 UTC by George R. Goffe
Modified: 2018-05-29 12:58 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:58:25 UTC


Attachments (Terms of Use)

Description George R. Goffe 2017-06-15 16:02:03 UTC
Description of problem:
I was looking at dmesg just after boot and saw the message below.

Version-Release number of selected component (if applicable):
4.12.0-0.rc3.git0.2.fc27.x86_64

How reproducible:
always

Steps to Reproduce:
1.after reboot issue dmesg | less
2.
3.

Actual results:
see below

Expected results:
no message

Additional info:

[    0.000000] **********************************************************
[    0.000000] **   NOTICE NOTICE NOTICE NOTICE NOTICE NOTICE NOTICE   **
[    0.000000] **                                                      **
[    0.000000] ** trace_printk() being used. Allocating extra memory.  **
[    0.000000] **                                                      **
[    0.000000] ** This means that this is a DEBUG kernel and it is     **
[    0.000000] ** unsafe for production use.                           **
[    0.000000] **                                                      **
[    0.000000] ** If you see this message and you are not debugging    **
[    0.000000] ** the kernel, report this immediately to your vendor!  **
[    0.000000] **                                                      **
[    0.000000] **   NOTICE NOTICE NOTICE NOTICE NOTICE NOTICE NOTICE   **
[    0.000000] **********************************************************

Comment 1 Piero Finizio 2017-07-07 11:01:25 UTC
Same problem with kernel 4.12.0-1.fc27.x86_64.

Comment 2 Michael Chapman 2017-07-29 10:08:17 UTC
Also seen in kernel-4.12.4-300.fc26.x86_64, the current F26 updates-testing kernel.

Comment 3 Ted 2017-07-30 21:24:27 UTC
Also seen in kernel-4.12.4-300.fc26.x86_64, the current F26 NON testing kernel

Comment 4 Tomasz Torcz 2017-08-01 15:09:01 UTC
Rawhide kernels are supposed to have debug options enabled most of the time.

Stable kernel, not so much.

Comment 5 Justin M. Forbes 2017-08-01 16:49:40 UTC
Debug options are not turned on actually via the config, but a driver is calling trace_printk which is what causes this.  The solution is to turn off that driver.  Despite the scary warning, these are not full debug kernels.

Comment 6 George R. Goffe 2017-08-01 19:21:36 UTC
Hi,

The message isn't all that scary... The kernel's name doesn't have "debug" in it so the assumption is that it's not a debug kernel. I saw the msgs and wrote this bug for that reason... in an attempt to be helpful.

George...

Comment 7 Fedora End Of Life 2018-05-03 08:43:12 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2018-05-29 12:58:25 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.